<?php

namespace app\youzan\controller;

use app\admin\controller\Base;
use app\youzan\logic\Cat;
use app\youzan\logic\Goodup;
use think\facade\Validate;


//有赞对接类
class Index extends Base
{

    //获取有赞的类目列表
    public function getYzCatList()
    {

        $parent_cid = $this->request->post('parent_cid/d', 0, 'trim');

        $rs = Cat::getYzCatList($parent_cid);

        return app_show(0, '请求成功', $rs);

    }

    //商品上线—有赞平台对接
    public function youzanUpOnline()
    {
        $param = $this->request->only(['good_platform_id', 'yz_cat_id', 'cat_id', 'support_refund', 'origin', 'price', 'token']);

        $val = Validate::rule([
            'good_platform_id|商品上线记录ID' => 'require|number|gt:0',
            'yz_cat_id|有赞分类' => 'require|number|gt:0',
            'cat_id|自有分类' => 'require|number|gt:0',
            'support_refund|是否可退货' => 'require|number|in:0,1',
            'origin|系统售价' => 'require|float',
            'price|最后售价' => 'require|float',
            'token' => 'require',
        ]);

        if ($val->check($param)) return Goodup::youzanGoodUpOnline($param['good_platform_id'], $param);
        else return error_show(1005, $val->getError());
    }

    //商品下线—有赞平台对接
    public function youzanOffline()
    {
        $param = $this->request->only(['good_platform_id', 'token']);

        $val = Validate::rule([
            'good_platform_id|商品上线记录ID' => 'require|number|gt:0',
            'token' => 'require',
        ]);

        if ($val->check($param)) return Goodup::youzanGoodOffline($param['good_platform_id'], $param);
        else return error_show(1005, $val->getError());
    }


}